package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.dto.CourseTimeDto;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/12/23
 */
public class CourseGenerateDto {

    @ApiModelProperty(value = "开始排课时间")
    private Date courseCreateStartTime;

    @ApiModelProperty(value = "教学形式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "课程单价")
    private BigDecimal singleClassPrice;

    @ApiModelProperty(value = "排课次数", required = true)
    private Integer courseCount;

    @ApiModelProperty(value = "可排课时间")
    private List<CourseTimeDto> courseTimes;

    @ApiModelProperty(value = "单节课程时长")
    private Integer singleClassMinutes=45;

    @ApiModelProperty(value = "是否跳过节假日 true-跳过 false-不跳过")
    private boolean skipHoliday;

    public Integer getSingleClassMinutes() {
        return singleClassMinutes;
    }

    public void setSingleClassMinutes(Integer singleClassMinutes) {
        this.singleClassMinutes = singleClassMinutes;
    }

    public Date getCourseCreateStartTime() {
        return courseCreateStartTime;
    }

    public void setCourseCreateStartTime(Date courseCreateStartTime) {
        this.courseCreateStartTime = courseCreateStartTime;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public BigDecimal getSingleClassPrice() {
        return singleClassPrice;
    }

    public void setSingleClassPrice(BigDecimal singleClassPrice) {
        this.singleClassPrice = singleClassPrice;
    }

    public Integer getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Integer courseCount) {
        this.courseCount = courseCount;
    }

    public List<CourseTimeDto> getCourseTimes() {
        return courseTimes;
    }

    public void setCourseTimes(List<CourseTimeDto> courseTimes) {
        this.courseTimes = courseTimes;
    }

    public boolean isSkipHoliday() {
        return skipHoliday;
    }

    public void setSkipHoliday(boolean skipHoliday) {
        this.skipHoliday = skipHoliday;
    }
}
